{: test that the dimensions of actual and formal conformant array
   parameters are identical.  Otherwise there is a compilation error }

{$d+}
program e108( output );

type
   smallInt =  1..10;

var
   a : array[1..10,1..10] of smallInt;

procedure test(aa : array[lo..hi : smallInt] of smallInt);
var
   aa1 : array[smallInt] of integer;
   z   : smallInt;
begin
   z := lo;
   aa[z] := 3;
   aa[hi] := 3;
   writeln( 'fails: conformant array dimension error is not detected' );
end;
begin {e108}

   test(a);   { !!! 2d array does not go into 1d array }

end. { e108 }

